unit Progress;

interface

uses
   Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
   Dialogs, TNTForms, ComCtrls, StdCtrls, Buttons, ExtCtrls, TntStdCtrls;

type
   TfrmProgress = class(TTNTForm)
      btnCancel: TBitBtn;
      pbProgress: TProgressBar;
      pnlAll: TPanel;
      lblMessage: TTntLabel;
    lblMeasure: TLabel;
      procedure btnCancelClick(Sender: TObject);
      procedure TntFormShow(Sender: TObject);
   private
      { Private declarations }
   public
      { Public declarations }
   end;

var
   frmProgress: TfrmProgress;

implementation

uses MainForm;

{$R *.dfm}

procedure TfrmProgress.btnCancelClick(Sender: TObject);
begin
   ProgressCancelled := True;
   Close;
end;

procedure TfrmProgress.TntFormShow(Sender: TObject);
var
   DiffWidth: Integer;
begin
   Width := lblMessage.Width + 2 * (lblMessage.Left + pnlAll.Left + ClientOrigin.X - Left);
   Left := Screen.WorkAreaLeft + (Screen.WorkAreaWidth - Width) div 2;
   Top := Screen.WorkAreaTop + (Screen.WorkAreaHeight - Height) div 2;
   lblMeasure.Canvas.Font.Assign(btnCancel.Font);
   DiffWidth := lblMeasure.Width;
   lblMeasure.Caption := btnCancel.Caption;
   DiffWidth := lblMeasure.Width -  DiffWidth;
   btnCancel.Width := btnCancel.Width + DiffWidth;
   btnCancel.Left := btnCancel.Left - DiffWidth div 2;
end;

end.

